/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package RelMgmt.PartyRole;

import java.util.Vector;
import HumanResMgmt.Employment.CompenAgreement;

/** 
 * @author TogetherSoft
 * @stereotype role
 * @alias EmployerAsCompensationSource
 */
public class EmployerAsCompenSource extends RelMgmt.Party.PartyRole {
    public Vector assessTrendInCompensationAgreements() {
        return new Vector();
    }

    public Vector calcCosts() {
        return new Vector();
    }

    public Vector forecastCosts() {
        return new Vector();
    }

    public Vector listCompensationAgreements() {
        return new Vector();
    }

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 1
     */
    private CompenAgreement lnkUnnamed2;

    /**
     * @clientCardinality 1
     * @supplierCardinality 0..*
     */
    private HumanResMgmt.WorkAndPayment.EmployeePayment lnkUnnamed3;
}


